# Readme
This Dataset contains the data files used in the publication "A Computationally Efficient Moving Horizon Estimator for Ultra-Wideband Localization on Small Quadrotors" (2021) by S. Pfeiffer, C. de Wagter and G.C.H.E de Croon. 

The logs were collected in two different UWB modes (TWR and TdoA) and on 6 different trajectories (Square, Triangle, Octagon, Hourglass, Star, Random). UWB data was gathered with 8 anchors positioned roughly in the corners of a cube. Two of the files do not contain complete UWB data and are marked with the suffix "_BAD".

The data was recorded on a Crazyflie 2.1 in the TU Delft "Cyberzoo" indoor flight arena using the scripts found at https://github.com/Huizerd/crazyflie-suite. The simulations for the paper were performed using the code at https://github.com/SUPfeiffer/uwb-simulator.


This dataset contains the following files:
- anchor_positions.yaml : This file contains the location of the UWB anchors in Cyberzoo coordinates
- date_time_mode_trajectory.csv : The log files


The log files contain the following fields:
- timeTick : timestamps in ms
- gyroX/gyroY/gyroZ: Gyroscope measurements in deg/s
- accX/accY/accZ: Accelerometer measurments in G (1G = 9.81m/s)
- twri: TWR distance measurement to anchor i
- tdoaij: TdoA measurement from anchors i and j
- otX/otY/otZ: Groundtruth measured by an optitrack motion capture system
